<html>
<head>
<title>Ogre::ArchiveManager Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ArchiveManager.html">ArchiveManager</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-types">Protected Types</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#pro-static-attribs">Static Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::ArchiveManager Class Reference<div class="ingroups"><a class="el" href="group__Resources.html">Resources</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::ArchiveManager" --><!-- doxytag: inherits="Singleton&lt; ArchiveManager &gt;,Ogre::AllocatedObject" -->
<p>This class manages the available <a class="el" href="classOgre_1_1ArchiveFactory.html" title="Abstract factory class, archive codec plugins can register concrete subclasses of this...">ArchiveFactory</a> plugins.  
 <a href="classOgre_1_1ArchiveManager.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreArchiveManager_8h_source.html">OgreArchiveManager.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::ArchiveManager:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1ArchiveManager__inherit__graph.gif" border="0" usemap="#Ogre_1_1ArchiveManager_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1ArchiveManager_inherit__map" id="Ogre_1_1ArchiveManager_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1Singleton.html" title="Ogre::Singleton\&lt; ArchiveManager \&gt;" alt="" coords="5,5,235,35"/><area shape="rect" id="node4" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="259,5,352,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1ArchiveManager-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a>&lt; <a class="el" href="classOgre_1_1ArchiveManager.html#a403698aa15b230fe40abf5aea1291ae9">ArchiveMap</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ArchiveManager.html#a912729e3f6383f3883ffd361bca0464f">ArchiveMapIterator</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ArchiveManager.html#a4af6cf74f6bc68dfbc25032799261c3a">ArchiveManager</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Default constructor - should never get called by a client app.  <a href="#a4af6cf74f6bc68dfbc25032799261c3a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ArchiveManager.html#a0abcd0bcbab592304b00023b87d2b48e">~ArchiveManager</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Default destructor.  <a href="#a0abcd0bcbab592304b00023b87d2b48e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Archive.html">Archive</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ArchiveManager.html#a5aee8deff46987c5cfd2c427c80bacde">load</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;archiveType)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Opens an archive for file reading.  <a href="#a5aee8deff46987c5cfd2c427c80bacde"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ArchiveManager.html#afae10919b8d8d0884fe413d56a683006">unload</a> (<a class="el" href="classOgre_1_1Archive.html">Archive</a> *arch)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Unloads an archive.  <a href="#afae10919b8d8d0884fe413d56a683006"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ArchiveManager.html#a05baddedf360653448d436c33dbf0de3">unload</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Unloads an archive by name.  <a href="#a05baddedf360653448d436c33dbf0de3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ArchiveManager.html#a912729e3f6383f3883ffd361bca0464f">ArchiveMapIterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ArchiveManager.html#abbd80b38555563f8c2b58956e04943cb">getArchiveIterator</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get an iterator over the Archives in this Manager.  <a href="#abbd80b38555563f8c2b58956e04943cb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ArchiveManager.html#ab6c255acb890a2d21ae1d3379a512730">addArchiveFactory</a> (<a class="el" href="classOgre_1_1ArchiveFactory.html">ArchiveFactory</a> *factory)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds a new <a class="el" href="classOgre_1_1ArchiveFactory.html" title="Abstract factory class, archive codec plugins can register concrete subclasses of this...">ArchiveFactory</a> to the list of available factories.  <a href="#ab6c255acb890a2d21ae1d3379a512730"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1ArchiveManager.html">ArchiveManager</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ArchiveManager.html#ad5b5f92045294d97c3aecddaba89de31">getSingleton</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval.  <a href="#ad5b5f92045294d97c3aecddaba89de31"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1ArchiveManager.html">ArchiveManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ArchiveManager.html#a460a08ab422a879e91dd154ee33c2aac">getSingletonPtr</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval.  <a href="#a460a08ab422a879e91dd154ee33c2aac"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-types"></a>
Protected Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt; <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <br class="typebreak"/>
<a class="el" href="classOgre_1_1ArchiveFactory.html">ArchiveFactory</a> * &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ArchiveManager.html#a2103596f3aa07208b298e7bf2fa83206">ArchiveFactoryMap</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt; <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1Archive.html">Archive</a> * &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ArchiveManager.html#a403698aa15b230fe40abf5aea1291ae9">ArchiveMap</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Currently loaded archives.  <a href="#a403698aa15b230fe40abf5aea1291ae9"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ArchiveManager.html#a2103596f3aa07208b298e7bf2fa83206">ArchiveFactoryMap</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ArchiveManager.html#abe0af361a9d7c3c4177b2392efac3c0a">mArchFactories</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Factories available to create archives, indexed by archive type (String identifier e.g. 'Zip')  <a href="#abe0af361a9d7c3c4177b2392efac3c0a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ArchiveManager.html#a403698aa15b230fe40abf5aea1291ae9">ArchiveMap</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ArchiveManager.html#ac718cc69b4a623985696290eecca5d2e">mArchives</a></td></tr>
<tr><td colspan="2"><h2><a name="pro-static-attribs"></a>
Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1ArchiveManager.html">ArchiveManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This class manages the available <a class="el" href="classOgre_1_1ArchiveFactory.html" title="Abstract factory class, archive codec plugins can register concrete subclasses of this...">ArchiveFactory</a> plugins. </p>

<p>Definition at line <a class="el" href="OgreArchiveManager_8h_source.html#l00046">46</a> of file <a class="el" href="OgreArchiveManager_8h_source.html">OgreArchiveManager.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a2103596f3aa07208b298e7bf2fa83206"></a><!-- doxytag: member="Ogre::ArchiveManager::ArchiveFactoryMap" ref="a2103596f3aa07208b298e7bf2fa83206" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt;<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1ArchiveFactory.html">ArchiveFactory</a>*&gt;::type <a class="el" href="classOgre_1_1ArchiveManager.html#a2103596f3aa07208b298e7bf2fa83206">Ogre::ArchiveManager::ArchiveFactoryMap</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreArchiveManager_8h_source.html#l00049">49</a> of file <a class="el" href="OgreArchiveManager_8h_source.html">OgreArchiveManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a403698aa15b230fe40abf5aea1291ae9"></a><!-- doxytag: member="Ogre::ArchiveManager::ArchiveMap" ref="a403698aa15b230fe40abf5aea1291ae9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt;<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1Archive.html">Archive</a>*&gt;::type <a class="el" href="classOgre_1_1ArchiveManager.html#a403698aa15b230fe40abf5aea1291ae9">Ogre::ArchiveManager::ArchiveMap</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Currently loaded archives. </p>

<p>Definition at line <a class="el" href="OgreArchiveManager_8h_source.html#l00053">53</a> of file <a class="el" href="OgreArchiveManager_8h_source.html">OgreArchiveManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a912729e3f6383f3883ffd361bca0464f"></a><!-- doxytag: member="Ogre::ArchiveManager::ArchiveMapIterator" ref="a912729e3f6383f3883ffd361bca0464f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a>&lt;<a class="el" href="classOgre_1_1ArchiveManager.html#a403698aa15b230fe40abf5aea1291ae9">ArchiveMap</a>&gt; <a class="el" href="classOgre_1_1ArchiveManager.html#a912729e3f6383f3883ffd361bca0464f">Ogre::ArchiveManager::ArchiveMapIterator</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreArchiveManager_8h_source.html#l00090">90</a> of file <a class="el" href="OgreArchiveManager_8h_source.html">OgreArchiveManager.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a4af6cf74f6bc68dfbc25032799261c3a"></a><!-- doxytag: member="Ogre::ArchiveManager::ArchiveManager" ref="a4af6cf74f6bc68dfbc25032799261c3a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ArchiveManager.html#a4af6cf74f6bc68dfbc25032799261c3a">Ogre::ArchiveManager::ArchiveManager</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Default constructor - should never get called by a client app. </p>

</div>
</div>
<a class="anchor" id="a0abcd0bcbab592304b00023b87d2b48e"></a><!-- doxytag: member="Ogre::ArchiveManager::~ArchiveManager" ref="a0abcd0bcbab592304b00023b87d2b48e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1ArchiveManager.html#a0abcd0bcbab592304b00023b87d2b48e">Ogre::ArchiveManager::~ArchiveManager</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Default destructor. </p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ab6c255acb890a2d21ae1d3379a512730"></a><!-- doxytag: member="Ogre::ArchiveManager::addArchiveFactory" ref="ab6c255acb890a2d21ae1d3379a512730" args="(ArchiveFactory *factory)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ArchiveManager.html#ab6c255acb890a2d21ae1d3379a512730">Ogre::ArchiveManager::addArchiveFactory</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ArchiveFactory.html">ArchiveFactory</a> *&#160;</td>
          <td class="paramname"><em>factory</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Adds a new <a class="el" href="classOgre_1_1ArchiveFactory.html" title="Abstract factory class, archive codec plugins can register concrete subclasses of this...">ArchiveFactory</a> to the list of available factories. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd><a class="el" href="classOgre_1_1Plugin.html" title="Class defining a generic OGRE plugin.">Plugin</a> developers who add new archive codecs need to call this after defining their <a class="el" href="classOgre_1_1ArchiveFactory.html" title="Abstract factory class, archive codec plugins can register concrete subclasses of this...">ArchiveFactory</a> subclass and <a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a> subclasses for their archive type. </dd></dl>

</div>
</div>
<a class="anchor" id="abbd80b38555563f8c2b58956e04943cb"></a><!-- doxytag: member="Ogre::ArchiveManager::getArchiveIterator" ref="abbd80b38555563f8c2b58956e04943cb" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ArchiveManager.html#a912729e3f6383f3883ffd361bca0464f">ArchiveMapIterator</a> <a class="el" href="classOgre_1_1ArchiveManager.html#abbd80b38555563f8c2b58956e04943cb">Ogre::ArchiveManager::getArchiveIterator</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get an iterator over the Archives in this Manager. </p>

</div>
</div>
<a class="anchor" id="ad5b5f92045294d97c3aecddaba89de31"></a><!-- doxytag: member="Ogre::ArchiveManager::getSingleton" ref="ad5b5f92045294d97c3aecddaba89de31" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1ArchiveManager.html">ArchiveManager</a>&amp; <a class="el" href="classOgre_1_1ArchiveManager.html#ad5b5f92045294d97c3aecddaba89de31">Ogre::ArchiveManager::getSingleton</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Why do we do this? Well, it's because the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> template to work, but we actually only want it compiled into the implementation of the class based on the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors. </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1Singleton.html#a7757bd7ac3702c144502e53ad6491888">Ogre::Singleton&lt; ArchiveManager &gt;</a>.</p>

</div>
</div>
<a class="anchor" id="a460a08ab422a879e91dd154ee33c2aac"></a><!-- doxytag: member="Ogre::ArchiveManager::getSingletonPtr" ref="a460a08ab422a879e91dd154ee33c2aac" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1ArchiveManager.html">ArchiveManager</a>* <a class="el" href="classOgre_1_1ArchiveManager.html#a460a08ab422a879e91dd154ee33c2aac">Ogre::ArchiveManager::getSingletonPtr</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Why do we do this? Well, it's because the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> template to work, but we actually only want it compiled into the implementation of the class based on the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors. </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1Singleton.html#a7ab51c46521b89723d6186a52a7e0d7b">Ogre::Singleton&lt; ArchiveManager &gt;</a>.</p>

</div>
</div>
<a class="anchor" id="a5aee8deff46987c5cfd2c427c80bacde"></a><!-- doxytag: member="Ogre::ArchiveManager::load" ref="a5aee8deff46987c5cfd2c427c80bacde" args="(const String &amp;filename, const String &amp;archiveType)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Archive.html">Archive</a>* <a class="el" href="classOgre_1_1ArchiveManager.html#a5aee8deff46987c5cfd2c427c80bacde">Ogre::ArchiveManager::load</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>archiveType</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Opens an archive for file reading. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>The archives are created using class factories within extension libraries. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">filename</td><td>The filename that will be opened </td></tr>
    <tr><td class="paramname">refLibrary</td><td>The library that contains the data-handling code </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>If the function succeeds, a valid pointer to an <a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a> object is returned. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>If the function fails, an exception is thrown. </dd></dl>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::ArchiveManager::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::ArchiveManager::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::ArchiveManager::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::ArchiveManager::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::ArchiveManager::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::ArchiveManager::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::ArchiveManager::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::ArchiveManager::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::ArchiveManager::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::ArchiveManager::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afae10919b8d8d0884fe413d56a683006"></a><!-- doxytag: member="Ogre::ArchiveManager::unload" ref="afae10919b8d8d0884fe413d56a683006" args="(Archive *arch)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ArchiveManager.html#afae10919b8d8d0884fe413d56a683006">Ogre::ArchiveManager::unload</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Archive.html">Archive</a> *&#160;</td>
          <td class="paramname"><em>arch</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Unloads an archive. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>You must ensure that this archive is not being used before removing it. </dd></dl>

</div>
</div>
<a class="anchor" id="a05baddedf360653448d436c33dbf0de3"></a><!-- doxytag: member="Ogre::ArchiveManager::unload" ref="a05baddedf360653448d436c33dbf0de3" args="(const String &amp;filename)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ArchiveManager.html#afae10919b8d8d0884fe413d56a683006">Ogre::ArchiveManager::unload</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Unloads an archive by name. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>You must ensure that this archive is not being used before removing it. </dd></dl>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="abe0af361a9d7c3c4177b2392efac3c0a"></a><!-- doxytag: member="Ogre::ArchiveManager::mArchFactories" ref="abe0af361a9d7c3c4177b2392efac3c0a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ArchiveManager.html#a2103596f3aa07208b298e7bf2fa83206">ArchiveFactoryMap</a> <a class="el" href="classOgre_1_1ArchiveManager.html#abe0af361a9d7c3c4177b2392efac3c0a">Ogre::ArchiveManager::mArchFactories</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Factories available to create archives, indexed by archive type (String identifier e.g. 'Zip') </p>

<p>Definition at line <a class="el" href="OgreArchiveManager_8h_source.html#l00051">51</a> of file <a class="el" href="OgreArchiveManager_8h_source.html">OgreArchiveManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac718cc69b4a623985696290eecca5d2e"></a><!-- doxytag: member="Ogre::ArchiveManager::mArchives" ref="ac718cc69b4a623985696290eecca5d2e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ArchiveManager.html#a403698aa15b230fe40abf5aea1291ae9">ArchiveMap</a> <a class="el" href="classOgre_1_1ArchiveManager.html#ac718cc69b4a623985696290eecca5d2e">Ogre::ArchiveManager::mArchives</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreArchiveManager_8h_source.html#l00054">54</a> of file <a class="el" href="OgreArchiveManager_8h_source.html">OgreArchiveManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="aff0baaaed91d8505cfb72b7725ae1c37"></a><!-- doxytag: member="Ogre::ArchiveManager::msSingleton" ref="aff0baaaed91d8505cfb72b7725ae1c37" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ArchiveManager.html">ArchiveManager</a> * <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; <a class="el" href="classOgre_1_1ArchiveManager.html">ArchiveManager</a>  &gt;::<a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a><code> [static, protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSingleton_8h_source.html#l00075">75</a> of file <a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreArchiveManager_8h_source.html">OgreArchiveManager.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
